summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorHeikki Halmet <heikki.halmet@qt.io>2018-01-14 12:14:16 +0200
committerLiang Qi <liang.qi@qt.io>2018-02-02 07:14:40 +0000
commit4eaa0170231457c90a5465f4820d29bb7f64ce3d (patch)
tree1e8acb254e796b6aa35b250169df7da938ddf077
parent7f7c87a15dba038bec33d342fe4deef8e5e0c7c3 (diff)
Provisioning: Disable Network Time Protocol
NTP need to be disabled from all tier2 templates Task-number: QTQAINFRA-1608 Change-Id: I89e019c23b7a194efffa011200a8c870e3a65d66 Reviewed-by: Tony Sarajärvi <tony.sarajarvi@qt.io>
-rwxr-xr-xcoin/provisioning/common/linux/disable-ntp_linux.sh44
-rwxr-xr-xcoin/provisioning/common/unix/disable-ntp_macos.sh40
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-6.6-x86_64/02-disable-ntp.sh3
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/02-disable-ntp.sh3
-rwxr-xr-xcoin/provisioning/qtci-linux-openSUSE-42.3-x86_64/02-disable-ntp.sh2
-rw-r--r--coin/provisioning/qtci-macos-10.12-x86_64/02-disable-ntp.sh3
-rwxr-xr-xcoin/provisioning/qtci-osx-10.10-x86_64/02-disable-ntp.sh3
-rw-r--r--coin/provisioning/qtci-osx-10.11-x86_64/02-disable-ntp.sh3
8 files changed, 101 insertions, 0 deletions
diff --git a/coin/provisioning/common/linux/disable-ntp_linux.sh b/coin/provisioning/common/linux/disable-ntp_linux.sh
new file mode 100755
index 00000000..56f98c52
--- /dev/null
+++ b/coin/provisioning/common/linux/disable-ntp_linux.sh
@@ -0,0 +1,44 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2018 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+set -ex
+
+echo "Disable Network Time Protocol (NTP)"
+
+if uname -a |grep -q "Ubuntu"; then
+ sudo timedatectl set-ntp false
+else
+ systemctl &>/dev/null && sudo systemctl disable ntpd || sudo /sbin/chkconfig ntpd off
+fi
diff --git a/coin/provisioning/common/unix/disable-ntp_macos.sh b/coin/provisioning/common/unix/disable-ntp_macos.sh
new file mode 100755
index 00000000..581ea7cb
--- /dev/null
+++ b/coin/provisioning/common/unix/disable-ntp_macos.sh
@@ -0,0 +1,40 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2018 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+set -ex
+
+echo "Disable Network Time Protocol (NTP)"
+echo "sudo launchctl unload /System/Library/LaunchDaemons/org.ntp.ntpd.plist" >> /Users/qt/.bash_profile
+
diff --git a/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/02-disable-ntp.sh b/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/02-disable-ntp.sh
new file mode 100755
index 00000000..ca31a876
--- /dev/null
+++ b/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/02-disable-ntp.sh
@@ -0,0 +1,3 @@
+#!/usr/bin/env bash
+
+source "${BASH_SOURCE%/*}/../common/linux/disable-ntp_linux.sh"
diff --git a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/02-disable-ntp.sh b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/02-disable-ntp.sh
new file mode 100755
index 00000000..ca31a876
--- /dev/null
+++ b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/02-disable-ntp.sh
@@ -0,0 +1,3 @@
+#!/usr/bin/env bash
+
+source "${BASH_SOURCE%/*}/../common/linux/disable-ntp_linux.sh"
diff --git a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/02-disable-ntp.sh b/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/02-disable-ntp.sh
new file mode 100755
index 00000000..97bb177c
--- /dev/null
+++ b/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/02-disable-ntp.sh
@@ -0,0 +1,2 @@
+#!/usr/bin/env bash
+source "${BASH_SOURCE%/*}/../common/linux/disable-ntp_linux.sh"
diff --git a/coin/provisioning/qtci-macos-10.12-x86_64/02-disable-ntp.sh b/coin/provisioning/qtci-macos-10.12-x86_64/02-disable-ntp.sh
new file mode 100644
index 00000000..32528873
--- /dev/null
+++ b/coin/provisioning/qtci-macos-10.12-x86_64/02-disable-ntp.sh
@@ -0,0 +1,3 @@
+#!/usr/bin/env bash
+
+$(dirname $0)/../common/unix/disable-ntp_macos.sh
diff --git a/coin/provisioning/qtci-osx-10.10-x86_64/02-disable-ntp.sh b/coin/provisioning/qtci-osx-10.10-x86_64/02-disable-ntp.sh
new file mode 100755
index 00000000..356891e1
--- /dev/null
+++ b/coin/provisioning/qtci-osx-10.10-x86_64/02-disable-ntp.sh
@@ -0,0 +1,3 @@
+#!/usr/bin/env bash
+
+source "${BASH_SOURCE%/*}/../common/unix/disable-ntp_macos.sh"
diff --git a/coin/provisioning/qtci-osx-10.11-x86_64/02-disable-ntp.sh b/coin/provisioning/qtci-osx-10.11-x86_64/02-disable-ntp.sh
new file mode 100644
index 00000000..32528873
--- /dev/null
+++ b/coin/provisioning/qtci-osx-10.11-x86_64/02-disable-ntp.sh
@@ -0,0 +1,3 @@
+#!/usr/bin/env bash
+
+$(dirname $0)/../common/unix/disable-ntp_macos.sh